# == Class: bash
#
# Puppet module to install, deploy and configure bash.
#
class bash (
  $package           = true,
  $bash_package_name = $bash::params::bash_package_name,
  $bash_config       = $bash::params::bash_config
) inherits bash::params {
  case $package {
    true    : { $ensure_package = 'present' }
    false   : { $ensure_package = 'purged' }
    latest  : { $ensure_package = 'latest' }
    default : { fail('package must be true, false or lastest') }
  }

  package { $bash_package_name:
    ensure => $ensure_package,
  }

  file { $bash_config:
    ensure  => $ensure_package,
    backup  => true,
    path    => $bash_config,
    owner   => 'root',
    group   => 'root',
    mode    => '0600',
    content => template('bash/bashrc.erb'),
    require => Package[$bash_package_name],
  }
}
# EOF
