# == Class: bash::params
#
# This is a container class holding default parameters for bash module.
#
class bash::params {
  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: {
      $bash_package_name = 'bash'
      $bash_config       = '/root/.bashrc'
    }
    /(?i:centos|fedora|redhat)/: {
      $bash_package_name = 'bash'
      $bash_config       = '/root/.bashrc'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
